Namespace
library
Image / Tag
openjdk:25-ea-7-jdk
Content Digest
sha256:0c6b75490644c80c7321851c4ff5cde67af2838c220581ce8088987d29e497b2
Details
Created

2025-01-25 01:52:19 UTC

Size

295 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-25

JAVA_VERSION

25-ea+7

LANG

C.UTF-8

PATH

/usr/java/openjdk-25/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:2c0a233485c3a7b6cab556a9a9c2916ca9a3afc8c46097ddfbe0af4fe120a50c - 15.86% (46.8 MB)

[#001] sha256:4e0ad7cd79dc68c5fb4b88ce26761b817bcac823ce273efebd361e4de5afab8c - 15.76% (46.5 MB)

[#002] sha256:2df433994f66419351a00d7660295e9799688c69a1a7be99a715f8b9bfbb7cf4 - 68.38% (202 MB)


History
2024-11-21 19:42:52 UTC (buildkit.dockerfile.v0)

ADD oraclelinux-9-slim-amd64-rootfs.tar.xz / # buildkit

2024-11-21 19:42:52 UTC (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2025-01-25 01:52:19 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2025-01-25 01:52:19 UTC (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-25

2025-01-25 01:52:19 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-25/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2025-01-25 01:52:19 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2025-01-25 01:52:19 UTC (buildkit.dockerfile.v0)

ENV JAVA_VERSION=25-ea+7

2025-01-25 01:52:19 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk25/7/GPL/openjdk-25-ea+7_linux-x64_bin.tar.gz'; downloadSha256='7feccd12886711c8902b12a7af32cb26a34993f148b00a36aa93068ce1e3b128'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk25/7/GPL/openjdk-25-ea+7_linux-aarch64_bin.tar.gz'; downloadSha256='8f29e5e012a3477812ef892a16022af8410235782f12c41d09d2a7082e20849e'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2025-01-25 01:52:19 UTC (buildkit.dockerfile.v0)

CMD ["jshell"]

Details
Created

2025-01-28 23:34:51 UTC

Size

2.52 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-25

JAVA_SHA256

98590eb26fdd8ac407ec4fd6fb11819d381f179d87174fea5a2ac7d5b051c11a

JAVA_URL

https://download.java.net/java/early_access/jdk25/7/GPL/openjdk-25-ea+7_windows-x64_bin.zip

JAVA_VERSION

25-ea+7


Layers

[#000] sha256:1317fe15185685e9cd27f7542cd96f4847343401288a8b6798273a4ac60844eb - 81.78% (2.06 GB)

[#001] sha256:19fa0da9c657652b5d0879f62221964dd2e8f7c37691ba99bce37494e109b27e - 10.52% (272 MB)

[#002] sha256:19e7940fec99849e6c960be9e26e87a2f03cc6d8e8de8234666f263fac7ddfcc - 0.0% (1.28 KB)

[#003] sha256:13bc4c27420d585013e0fde9d0b84098d044fa9ed9ed00e5881758f8b97a8687 - 0.01% (384 KB)

[#004] sha256:8c5870ad41af3cc4bd58210ae9b4c4d5375a4bf41f49d65642dbde8479214e95 - 0.0% (1.29 KB)

[#005] sha256:af6566e9d47962f37f06257e7b1d4a8e6efd54023299e0cb265fbf0d560f1948 - 0.01% (369 KB)

[#006] sha256:b354356dbf6764fab54c7f42fadd46dcab82fbdd95f1b105dffc3933032cccab - 0.0% (1.26 KB)

[#007] sha256:fa635a681a20ca1df1ba7a072c3cc29f81fd54a5e577490870145e3c3b46c71f - 0.0% (1.26 KB)

[#008] sha256:1550e743196406c182237c06dde309e4cd69cf556e4f19a41edb67ced7156e17 - 0.0% (1.29 KB)

[#009] sha256:cb69abab699d88bc50a5b0699ccd8ef312a55e77444184ec287e0ee05740596c - 7.67% (198 MB)

[#010] sha256:4ce1f388e9621b93a739b81e37c7ab7ea549f03a98621e11c63405506d293283 - 0.0% (1.28 KB)


History
2024-12-08 22:41:37 UTC

Apply image 10.0.26100.2605

2025-01-13 03:08:16 UTC

Install update 10.0.26100.2894

2025-01-28 23:34:18 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2025-01-28 23:34:25 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2025-01-28 23:34:26 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-25

2025-01-28 23:34:31 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2025-01-28 23:34:32 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=25-ea+7

2025-01-28 23:34:32 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk25/7/GPL/openjdk-25-ea+7_windows-x64_bin.zip

2025-01-28 23:34:33 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=98590eb26fdd8ac407ec4fd6fb11819d381f179d87174fea5a2ac7d5b051c11a

2025-01-28 23:34:50 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2025-01-28 23:34:51 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2025-01-29 00:28:06 UTC

Size

2.17 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-25

JAVA_SHA256

98590eb26fdd8ac407ec4fd6fb11819d381f179d87174fea5a2ac7d5b051c11a

JAVA_URL

https://download.java.net/java/early_access/jdk25/7/GPL/openjdk-25-ea+7_windows-x64_bin.zip

JAVA_VERSION

25-ea+7


Layers

[#000] sha256:803f4a9590cb9c635813cbd0ee89190f92d5fe4c7589711cf468879e42ce02ba - 73.81% (1.6 GB)

[#001] sha256:09e6adf68d473b439b895dbef289349826f793d13a35d136c1e4a98b09d23cd4 - 17.25% (383 MB)

[#002] sha256:25bf154cdbe7d3a6f56dd2f8dfcbd1b1e2c402968514547c80d78d40d221e931 - 0.0% (1.27 KB)

[#003] sha256:777d1630c29d43e093833f18c618ad6c55bf0aa54795441fc7ce8c818e50d9ce - 0.01% (332 KB)

[#004] sha256:155ee35ee7f973789a0d244debe9654e0a3d1eb74d1d2a4b31b2d3a4ddcd5eb6 - 0.0% (1.27 KB)

[#005] sha256:c2c97e57488697d4457e32dc5c42280ccb954756dc0f985440cd3e3421b8a6ef - 0.01% (323 KB)

[#006] sha256:0a0e6adb71bdca75fb53fa58de058b56f06219a2a78f34c54311de8b885aaa10 - 0.0% (1.27 KB)

[#007] sha256:9f8cd25b1c8b4c69b50897de9fe99a8cc939a835a7657576415a2c8ec9d209cc - 0.0% (1.27 KB)

[#008] sha256:6e504cd2c4c9cba8e3b70b4bb1574092c66bd4c6bf3d87825909ca8bb6681dc8 - 0.0% (1.26 KB)

[#009] sha256:d5b3ffa5deee39c2df073de8793f9455af9e200083b6dac2d89aba0395d64d14 - 8.91% (198 MB)

[#010] sha256:98ec5684877f02e1de49a3ab901983533b56eaf325d005d327280319859f532e - 0.0% (1.27 KB)


History
2024-09-06 01:15:31 UTC

Apply image 10.0.17763.6293

2025-01-09 09:46:25 UTC

Install update 10.0.17763.6775

2025-01-29 00:26:33 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2025-01-29 00:27:18 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2025-01-29 00:27:18 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-25

2025-01-29 00:27:28 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2025-01-29 00:27:29 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=25-ea+7

2025-01-29 00:27:29 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk25/7/GPL/openjdk-25-ea+7_windows-x64_bin.zip

2025-01-29 00:27:30 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=98590eb26fdd8ac407ec4fd6fb11819d381f179d87174fea5a2ac7d5b051c11a

2025-01-29 00:28:05 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2025-01-29 00:28:06 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2025-01-28 23:29:47 UTC

Size

2.3 GB

Content Digest
Environment
JAVA_HOME

C:\openjdk-25

JAVA_SHA256

98590eb26fdd8ac407ec4fd6fb11819d381f179d87174fea5a2ac7d5b051c11a

JAVA_URL

https://download.java.net/java/early_access/jdk25/7/GPL/openjdk-25-ea+7_windows-x64_bin.zip

JAVA_VERSION

25-ea+7


Layers

[#000] sha256:2534953f34d35976fc44cd67bfdd39fdcd9e2eaae57ada0be53d5fb936cd3a0b - 59.18% (1.36 GB)

[#001] sha256:440cf16a6c1eb5c6c232aa5e54099878e9ddb01fb83b65139ec4e2618d1e00de - 32.39% (763 MB)

[#002] sha256:1196647625f97a5c149bd4183458529ca5c7f7538c17f956c0c9fb41fc25bc40 - 0.0% (1.26 KB)

[#003] sha256:58d50d493298a1b0fab1293d0523955388b3b4683ded4b3551c089317141259a - 0.01% (356 KB)

[#004] sha256:6c7e1212140f1b850909f77bb8249e4fc1c1b1c6b6e2b20f868a12e06ab9ecf5 - 0.0% (1.25 KB)

[#005] sha256:482262ff641b83b70fb20e68b180b1e12cd6d1e35e4a5c7c3b3ec4fbafd6b134 - 0.01% (305 KB)

[#006] sha256:d595f39aed0f24aadba29f83e2fa569812e512031bfe927cc8d2ea3ac50c469b - 0.0% (1.25 KB)

[#007] sha256:7693907405c5ef496592f9e46f3489f2dfcbb039111a1e6e8305f49fbe7c230c - 0.0% (1.25 KB)

[#008] sha256:9acda82acf2077e64e78db802e42fed3f40a5c39b7bb9bd851531e706a098a3e - 0.0% (1.26 KB)

[#009] sha256:9e61106f45308b377a4ff1100526a067ef9ab3d3960f1a112e688258e2415a26 - 8.41% (198 MB)

[#010] sha256:b815c0bd0062679933c7eb3768ed73f306cda4f2dba2455b49ca8d73f6255611 - 0.0% (1.26 KB)


History
2024-09-06 00:01:38 UTC

Apply image 10.0.20348.2700

2025-01-12 10:10:43 UTC

Install update 10.0.20348.3091

2025-01-28 23:27:34 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2025-01-28 23:28:54 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2025-01-28 23:28:55 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-25

2025-01-28 23:29:09 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2025-01-28 23:29:09 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=25-ea+7

2025-01-28 23:29:10 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk25/7/GPL/openjdk-25-ea+7_windows-x64_bin.zip

2025-01-28 23:29:11 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=98590eb26fdd8ac407ec4fd6fb11819d381f179d87174fea5a2ac7d5b051c11a

2025-01-28 23:29:46 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2025-01-28 23:29:47 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Created

2025-01-25 01:52:19 UTC

Size

292 MB

Content Digest
Environment
JAVA_HOME

/usr/java/openjdk-25

JAVA_VERSION

25-ea+7

LANG

C.UTF-8

PATH

/usr/java/openjdk-25/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:f7fa64c7935f6bb5df09447a656c51d0f8f2a9f6c57838b88508dce34d5ec36a - 15.55% (45.5 MB)

[#001] sha256:5c9527a70a5df0c50a0919b2bbc807b6789f8d6833d49f997079d3ab5dd2e735 - 16.05% (46.9 MB)

[#002] sha256:49ae0949b656b700eb965121b445e19828c0619060dadef5a281201f9ec21832 - 68.4% (200 MB)


History
2024-11-21 19:43:03 UTC (buildkit.dockerfile.v0)

ADD oraclelinux-9-slim-arm64v8-rootfs.tar.xz / # buildkit

2024-11-21 19:43:03 UTC (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2025-01-25 01:52:19 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2025-01-25 01:52:19 UTC (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-25

2025-01-25 01:52:19 UTC (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-25/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2025-01-25 01:52:19 UTC (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2025-01-25 01:52:19 UTC (buildkit.dockerfile.v0)

ENV JAVA_VERSION=25-ea+7

2025-01-25 01:52:19 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk25/7/GPL/openjdk-25-ea+7_linux-x64_bin.tar.gz'; downloadSha256='7feccd12886711c8902b12a7af32cb26a34993f148b00a36aa93068ce1e3b128'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk25/7/GPL/openjdk-25-ea+7_linux-aarch64_bin.tar.gz'; downloadSha256='8f29e5e012a3477812ef892a16022af8410235782f12c41d09d2a7082e20849e'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2025-01-25 01:52:19 UTC (buildkit.dockerfile.v0)

CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete